# PSF-LoginServer - master - net.psforever.services.hart.HartTimer.ShuttleStateUpdate
PSF - LoginServer - master - net.psforever.services.hart.HartTimer.ShuttleStateUpdate
Keywords: PSF LoginServer master net.psforever.services.hart.HartTimer.ShuttleStateUpdate

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package hart
  Definition Classes
    services
-  object HartTimer
  Definition Classes
    hart
- Command
- LockDoors
- MessageToHartInZone
- OrbitalShuttleEvent
- PairWith
- SetEventDurations
- ShuttleDocked
- ShuttleFreeFromDock
- ShuttleStateUpdate
- UnlockDoors
- Update

c

net.psforever.services.hart.HartTimer

# ShuttleStateUpdate

###

#### final case class ShuttleStateUpdate(forChannel: String, state: Int) extends Command with Product with Serializable

The state exists to be turned into, ultimately, a `VehicleStateMessage` packet for the shuttle. This state is to be loaded into the `flying` field.

state

  shuttle state, probably more symbolic of a gvien state than anything else

Source
  HartTimer.scala
See also

  `VehicleStateMessage`

Linear Supertypes
Serializable, Product, Equals, Command, GenericEventBusMsg, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ShuttleStateUpdate
2. Serializable
3. Product
4. Equals
5. Command
6. GenericEventBusMsg
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ShuttleStateUpdate(forChannel: String, state: Int)

   state

     shuttle state, probably more symbolic of a gvien state than anything else

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def channel: String
   Definition Classes
     Command → GenericEventBusMsg
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  val forChannel: String
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def productElementNames: Iterator[String]
    Definition Classes
      Product
16.  val state: Int
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Command

### Inherited from GenericEventBusMsg

### Inherited from AnyRef

### Inherited from Any

### Ungrouped